Skip to main content
GET
/
v1
/
incident_roles
/
{id}
Show
curl --request GET \
  --url https://api.incident.io/v1/incident_roles/{id}
{
  "incident_role": {
    "created_at": "2021-08-17T13:28:57.801578Z",
    "description": "The person currently coordinating the incident",
    "id": "01FCNDV6P870EA6S7TK1DSYDG0",
    "instructions": "Take point on the incident; Make sure people are clear on responsibilities",
    "name": "Incident Lead",
    "required": false,
    "role_type": "lead",
    "shortform": "lead",
    "updated_at": "2021-08-17T13:28:57.801578Z"
  }
}

Path Parameters

id
string
required

Unique identifier for the role

Example:

"01FCNDV6P870EA6S7TK1DSYDG0"

Response

200 - application/json

OK response.

incident_role
object
required
Example:
{
"created_at": "2021-08-17T13:28:57.801578Z",
"description": "The person currently coordinating the incident",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"instructions": "Take point on the incident; Make sure people are clear on responsibilities",
"name": "Incident Lead",
"required": false,
"role_type": "lead",
"shortform": "lead",
"updated_at": "2021-08-17T13:28:57.801578Z"
}